#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1686518216.913451
__CHEETAH_genTimestamp__ = 'Sun Jun 11 23:16:56 2023'
__CHEETAH_src__ = '/home/abcde/env/Old-1/openvision/build/tmp/work/tf7700-oe-linux/enigma2-plugin-extensions-openwebif/gitAUTOINC+e77620c0b7-r0/git/plugin/controllers/views/ajax/boxinfo.tmpl'
__CHEETAH_srcLastModified__ = 'Sun Jun 11 23:16:54 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class boxinfo(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(boxinfo, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<!-- box_info -->
<div id="content_main" class="ui-widget-content">
\t<div id="info">
\t\t<h3 class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['box_info'] # u"$tstrings['box_info']" on line 5, col 32
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box_info']")) # from line 5, col 32.
        write(u'''</h3>
\t\t<hr />
\t\t<img src="images/boxes/''')
        _v = VFFSL(SL,"boximage",True) # u'${boximage}' on line 7, col 26
        if _v is not None: write(_filter(_v, rawExpr=u'${boximage}')) # from line 7, col 26.
        write(u'''" id="box_image" alt="box_info">
\t\t<hr />
\t\t<br/>
\t\t<table width="100%">
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['box'] # u"$tstrings['box']" on line 15, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box']")) # from line 15, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['model'] # u"$tstrings['model']" on line 18, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['model']")) # from line 18, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"model",True) # u'$model' on line 19, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$model')) # from line 19, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['buildmodel'] # u"$tstrings['buildmodel']" on line 22, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['buildmodel']")) # from line 22, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"buildmodel",True) # u'$buildmodel' on line 23, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$buildmodel')) # from line 23, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['displaymodel'] # u"$tstrings['displaymodel']" on line 26, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['displaymodel']")) # from line 26, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"displaymodel",True) # u'$displaymodel' on line 27, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$displaymodel')) # from line 27, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['platform'] # u"$tstrings['platform']" on line 30, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['platform']")) # from line 30, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"platform",True) # u'$platform' on line 31, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$platform')) # from line 31, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['procmodel'] # u"$tstrings['procmodel']" on line 34, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['procmodel']")) # from line 34, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"procmodel",True) # u'$procmodel' on line 35, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$procmodel')) # from line 35, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['procmodeltype'] # u"$tstrings['procmodeltype']" on line 38, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['procmodeltype']")) # from line 38, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"procmodeltype",True) # u'$procmodeltype' on line 39, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$procmodeltype')) # from line 39, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['hwserial'] # u"$tstrings['hwserial']" on line 42, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['hwserial']")) # from line 42, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"hwserial",True) # u'$hwserial' on line 43, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$hwserial')) # from line 43, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['brand'] # u"$tstrings['brand']" on line 46, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['brand']")) # from line 46, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"brand",True) # u'$brand' on line 47, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$brand')) # from line 47, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['displaybrand'] # u"$tstrings['displaybrand']" on line 50, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['displaybrand']")) # from line 50, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"displaybrand",True) # u'$displaybrand' on line 51, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$displaybrand')) # from line 51, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['chipset'] # u"$tstrings['chipset']" on line 54, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['chipset']")) # from line 54, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"chipset",True) # u'$chipset' on line 55, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$chipset')) # from line 55, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['cpu_brand'] # u"$tstrings['cpu_brand']" on line 58, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['cpu_brand']")) # from line 58, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"cpubrand",True) # u'$cpubrand' on line 59, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$cpubrand')) # from line 59, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['soc_family'] # u"$tstrings['soc_family']" on line 62, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['soc_family']")) # from line 62, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"socfamily",True) # u'$socfamily' on line 63, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$socfamily')) # from line 63, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['cpu_arch'] # u"$tstrings['cpu_arch']" on line 66, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['cpu_arch']")) # from line 66, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"cpuarch",True) # u'$cpuarch' on line 67, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$cpuarch')) # from line 67, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['displaytype'] # u"$tstrings['displaytype']" on line 70, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['displaytype']")) # from line 70, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"displaytype",True) # u'$displaytype' on line 71, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$displaytype')) # from line 71, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['main_memory'] # u"$tstrings['main_memory']" on line 74, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['main_memory']")) # from line 74, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"mem3",True) # u'$mem3' on line 75, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$mem3')) # from line 75, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['box_uptime'] # u"$tstrings['box_uptime']" on line 78, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box_uptime']")) # from line 78, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"uptime",True) # u'$uptime' on line 79, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$uptime')) # from line 79, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['benchmark'] # u"$tstrings['benchmark']" on line 88, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['benchmark']")) # from line 88, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['cpu_benchmark'] # u"$tstrings['cpu_benchmark']" on line 91, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['cpu_benchmark']")) # from line 91, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"cpubenchmark",True) # u'$cpubenchmark' on line 92, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$cpubenchmark')) # from line 92, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['ram_benchmark'] # u"$tstrings['ram_benchmark']" on line 95, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ram_benchmark']")) # from line 95, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"rambenchmark",True) # u'$rambenchmark' on line 96, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$rambenchmark')) # from line 96, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['python_benchmark'] # u"$tstrings['python_benchmark']" on line 99, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['python_benchmark']")) # from line 99, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"pythonbenchmark",True) # u'$pythonbenchmark' on line 100, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$pythonbenchmark')) # from line 100, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['software'] # u"$tstrings['software']" on line 109, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['software']")) # from line 109, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['oe_version'] # u"$tstrings['oe_version']" on line 112, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['oe_version']")) # from line 112, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"oever",True) # u'$oever' on line 113, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$oever')) # from line 113, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['gcc_version'] # u"$tstrings['gcc_version']" on line 116, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['gcc_version']")) # from line 116, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"gccver",True) # u'$gccver' on line 117, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$gccver')) # from line 117, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['glibc_version'] # u"$tstrings['glibc_version']" on line 120, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['glibc_version']")) # from line 120, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"glibcver",True) # u'$glibcver' on line 121, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$glibcver')) # from line 121, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['binutils_version'] # u"$tstrings['binutils_version']" on line 124, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['binutils_version']")) # from line 124, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"binutilsver",True) # u'$binutilsver' on line 125, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$binutilsver')) # from line 125, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['openssl'] # u"$tstrings['openssl']" on line 128, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['openssl']")) # from line 128, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"openssl",True) # u'$openssl' on line 129, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$openssl')) # from line 129, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['firmware_version'] # u"$tstrings['firmware_version']" on line 132, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['firmware_version']")) # from line 132, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"imagedistro",True) # u'$imagedistro' on line 133, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$imagedistro')) # from line 133, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['enigmaver'] # u"$tstrings['enigmaver']" on line 136, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['enigmaver']")) # from line 136, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"enigmaver",True) # u'$enigmaver' on line 137, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$enigmaver')) # from line 137, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['enigmarev'] # u"$tstrings['enigmarev']" on line 140, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['enigmarev']")) # from line 140, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"enigmarev",True) # u'$enigmarev' on line 141, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$enigmarev')) # from line 141, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['updatedatestring'] # u"$tstrings['updatedatestring']" on line 144, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['updatedatestring']")) # from line 144, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"updatedatestring",True) # u'$updatedatestring' on line 145, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$updatedatestring')) # from line 145, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['enigmadebuglvl'] # u"$tstrings['enigmadebuglvl']" on line 148, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['enigmadebuglvl']")) # from line 148, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"enigmadebuglvl",True) # u'$enigmadebuglvl' on line 149, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$enigmadebuglvl')) # from line 149, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['driver_date'] # u"$tstrings['driver_date']" on line 152, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['driver_date']")) # from line 152, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"driverdate",True) # u'$driverdate' on line 153, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$driverdate')) # from line 153, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['kernel_version'] # u"$tstrings['kernel_version']" on line 156, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['kernel_version']")) # from line 156, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"kernelver",True) # u'$kernelver' on line 157, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$kernelver')) # from line 157, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['modulelayout'] # u"$tstrings['modulelayout']" on line 160, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['modulelayout']")) # from line 160, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"modulelayout",True) # u'$modulelayout' on line 161, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$modulelayout')) # from line 161, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['python_version'] # u"$tstrings['python_version']" on line 164, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['python_version']")) # from line 164, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"pythonversion",True) # u'$pythonversion' on line 165, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$pythonversion')) # from line 165, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['gstreamer_version'] # u"$tstrings['gstreamer_version']" on line 168, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['gstreamer_version']")) # from line 168, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"gstreamerversion",True) # u'$gstreamerversion' on line 169, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$gstreamerversion')) # from line 169, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['ffmpeg_version'] # u"$tstrings['ffmpeg_version']" on line 172, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ffmpeg_version']")) # from line 172, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"ffmpegversion",True) # u'$ffmpegversion' on line 173, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$ffmpegversion')) # from line 173, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['openvision'] # u"$tstrings['openvision']" on line 182, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['openvision']")) # from line 182, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['vision_version'] # u"$tstrings['vision_version']" on line 185, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['vision_version']")) # from line 185, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"visionversion",True) # u'$visionversion' on line 186, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$visionversion')) # from line 186, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['vision_revision'] # u"$tstrings['vision_revision']" on line 189, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['vision_revision']")) # from line 189, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"visionrevision",True) # u'$visionrevision' on line 190, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$visionrevision')) # from line 190, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['vision_type'] # u"$tstrings['vision_type']" on line 193, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['vision_type']")) # from line 193, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"visiontype",True) # u'$visiontype' on line 194, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$visiontype')) # from line 194, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['vision_module'] # u"$tstrings['vision_module']" on line 197, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['vision_module']")) # from line 197, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"visionmodule",True) # u'$visionmodule' on line 198, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$visionmodule')) # from line 198, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['multiboot'] # u"$tstrings['multiboot']" on line 201, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['multiboot']")) # from line 201, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"multiboot",True) # u'$multiboot' on line 202, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$multiboot')) # from line 202, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['flash_type'] # u"$tstrings['flash_type']" on line 205, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['flash_type']")) # from line 205, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"flashtype",True) # u'$flashtype' on line 206, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$flashtype')) # from line 206, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['boxrctype'] # u"$tstrings['boxrctype']" on line 209, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['boxrctype']")) # from line 209, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"boxrctype",True) # u'$boxrctype' on line 210, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$boxrctype')) # from line 210, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['ovrctype'] # u"$tstrings['ovrctype']" on line 213, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ovrctype']")) # from line 213, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"ovrctype",True) # u'$ovrctype' on line 214, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$ovrctype')) # from line 214, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['ovrcname'] # u"$tstrings['ovrcname']" on line 217, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ovrcname']")) # from line 217, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"ovrcname",True) # u'$ovrcname' on line 218, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$ovrcname')) # from line 218, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['ovrcidnum'] # u"$tstrings['ovrcidnum']" on line 221, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ovrcidnum']")) # from line 221, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"ovrcidnum",True) # u'$ovrcidnum' on line 222, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$ovrcidnum')) # from line 222, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['imagearch'] # u"$tstrings['imagearch']" on line 225, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['imagearch']")) # from line 225, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"imagearch",True) # u'$imagearch' on line 226, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$imagearch')) # from line 226, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['feedsurl'] # u"$tstrings['feedsurl']" on line 229, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['feedsurl']")) # from line 229, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"feedsurl",True) # u'$feedsurl' on line 230, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$feedsurl')) # from line 230, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['developername'] # u"$tstrings['developername']" on line 233, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['developername']")) # from line 233, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"developername",True) # u'$developername' on line 234, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$developername')) # from line 234, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['imagefpu'] # u"$tstrings['imagefpu']" on line 237, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['imagefpu']")) # from line 237, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"imagefpu",True) # u'$imagefpu' on line 238, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$imagefpu')) # from line 238, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['dvb'] # u"$tstrings['dvb']" on line 247, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['dvb']")) # from line 247, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['dvbapi_type'] # u"$tstrings['dvbapi_type']" on line 250, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['dvbapi_type']")) # from line 250, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"dvbapitype",True) # u'$dvbapitype' on line 251, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$dvbapitype')) # from line 251, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['transcoding'] # u"$tstrings['transcoding']" on line 254, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['transcoding']")) # from line 254, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"transcoding",True) # u'$transcoding' on line 255, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$transcoding')) # from line 255, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['multitranscoding'] # u"$tstrings['multitranscoding']" on line 258, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['multitranscoding']")) # from line 258, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"multitranscoding",True) # u'$multitranscoding' on line 259, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$multitranscoding')) # from line 259, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['tuners'] # u"$tstrings['tuners']" on line 268, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuners']")) # from line 268, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
''')
        for tuner in VFFSL(SL,"tuners",True): # generated from line 270, col 7
            write(u'''\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft" style="vertical-align:text-top;">''')
            _v = VFFSL(SL,"tuner.name",True) # u'$tuner.name' on line 272, col 62
            if _v is not None: write(_filter(_v, rawExpr=u'$tuner.name')) # from line 272, col 62.
            write(u'''</td>
\t\t\t\t\t\t\t<td class="inforight">
\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"tuner.type",True) # u'$tuner.type' on line 274, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$tuner.type')) # from line 274, col 9.
            write(u'''<br>
''')
            if VFFSL(SL,"tuner.live",True) != '': # generated from line 275, col 10
                write(u"""\t\t\t\t\t\t\t\t\t\t<div class='tled-box'><div class='tled green'></div></div>""")
                _v = VFFSL(SL,"tuner.live",True) # u'$tuner.live' on line 276, col 69
                if _v is not None: write(_filter(_v, rawExpr=u'$tuner.live')) # from line 276, col 69.
                write(u'''<br>
''')
            if VFFSL(SL,"tuner.rec",True) != '': # generated from line 278, col 10
                write(u"""\t\t\t\t\t\t\t\t\t\t<div class='tled-box'><div class='tled red'></div></div>""")
                _v = VFFSL(SL,"tuner.rec",True) # u'$tuner.rec' on line 279, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'$tuner.rec')) # from line 279, col 67.
                write(u'''<br>
''')
            write(u'''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t</tr>
''')
        if VFFSL(SL,"EX",True) != '': # generated from line 285, col 7
            write(u'''\t\t\t\t\t\t<tr><td colspan="2">''')
            _v = VFFSL(SL,"EX",True) # u'$EX' on line 286, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$EX')) # from line 286, col 27.
            write(u'''</td></tr>
''')
        write(u'''<!--\t\t\t\t\t<tr><td colspan="2">
\t\t\t\t\t\t<div class=\'tled-box\'><div class=\'tled black\'></div></div>free
\t\t\t\t\t\t<div class=\'tled-box\'><div class=\'tled green\'></div></div>Live
\t\t\t\t\t\t<div class=\'tled-box\'><div class=\'tled red\'></div></div>Record or Stream
\t\t\t\t\t\t<div class=\'tled-box\'><div class=\'tled orange\'></div></div>Record or Stream and Live
\t\t\t\t\t\t</td></tr>-->
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        if VFFSL(SL,"len",False)(VFFSL(SL,"streams",True)) > 0: # generated from line 297, col 4
            write(u'''\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
            _v = VFFSL(SL,"tstrings",True)['streamclients'] # u"$tstrings['streamclients']" on line 302, col 49
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['streamclients']")) # from line 302, col 49.
            write(u'''</th>
\t\t\t\t\t\t</tr>
''')
            for stream in VFFSL(SL,"streams",True): # generated from line 304, col 7
                write(u'''\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft" style="vertical-align:text-top;">''')
                _v = VFFSL(SL,"stream.ip",True) # u'$stream.ip' on line 306, col 62
                if _v is not None: write(_filter(_v, rawExpr=u'$stream.ip')) # from line 306, col 62.
                write(u'''</td>
\t\t\t\t\t\t\t<td class="inforight">
''')
                if VFFSL(SL,"stream.type",True) == 'T': # generated from line 308, col 10
                    write(u'''\t\t\t\t\t\t\t\t\t\t''')
                    _v = VFFSL(SL,"stream.name",True) # u'$stream.name' on line 309, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$stream.name')) # from line 309, col 11.
                    write(u''' / (''')
                    _v = VFFSL(SL,"tstrings",True)['transcoded'] # u"$tstrings['transcoded']" on line 309, col 27
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['transcoded']")) # from line 309, col 27.
                    write(u''')
''')
                else: # generated from line 310, col 10
                    write(u'''\t\t\t\t\t\t\t\t\t\t''')
                    _v = VFFSL(SL,"stream.name",True) # u'$stream.name' on line 311, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$stream.name')) # from line 311, col 11.
                    write(u'''
''')
                write(u'''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t</tr>
''')
            write(u'''\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        for hd in VFFSL(SL,"hdd",True): # generated from line 321, col 4
            write(u'''\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
            _v = VFFSL(SL,"tstrings",True)['hdd_model'] # u"$tstrings['hdd_model']" on line 326, col 49
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['hdd_model']")) # from line 326, col 49.
            write(u''': ''')
            _v = VFFSL(SL,"hd.model",True) # u'$hd.model' on line 326, col 73
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.model')) # from line 326, col 73.
            write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
            _v = VFFSL(SL,"tstrings",True)['capacity'] # u"$tstrings['capacity']" on line 329, col 29
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['capacity']")) # from line 329, col 29.
            write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
            _v = VFFSL(SL,"hd.friendlycapacity",True) # u'$hd.friendlycapacity' on line 330, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.friendlycapacity')) # from line 330, col 30.
            write(u''' (''')
            _v = VFFSL(SL,"hd.mount",True) # u'$hd.mount' on line 330, col 52
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.mount')) # from line 330, col 52.
            write(u''')</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        if VFFSL(SL,"shares",True): # generated from line 336, col 4
            write(u'''\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
            _v = VFFSL(SL,"tstrings",True)['networkshares'] # u"$tstrings['networkshares']" on line 341, col 49
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['networkshares']")) # from line 341, col 49.
            write(u''':</th>
\t\t\t\t\t\t</tr>
''')
            for share in VFFSL(SL,"shares",True): # generated from line 343, col 7
                write(u'''\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
                _v = VFFSL(SL,"share.name",True) # u'$share.name' on line 345, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$share.name')) # from line 345, col 29.
                write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
                _v = VFFSL(SL,"share.type",True) # u'$share.type' on line 346, col 30
                if _v is not None: write(_filter(_v, rawExpr=u'$share.type')) # from line 346, col 30.
                write(u''' ''')
                _v = VFFSL(SL,"tstrings",True)['using'] # u"$tstrings['using']" on line 346, col 42
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['using']")) # from line 346, col 42.
                write(u''' ''')
                _v = VFFSL(SL,"share.method",True) # u'$share.method' on line 346, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$share.method')) # from line 346, col 61.
                write(u''': ''')
                _v = VFFSL(SL,"share.path",True) # u'$share.path' on line 346, col 76
                if _v is not None: write(_filter(_v, rawExpr=u'$share.path')) # from line 346, col 76.
                write(u''' (''')
                _v = VFFSL(SL,"share.friendlyaddress",True) # u'$share.friendlyaddress' on line 346, col 89
                if _v is not None: write(_filter(_v, rawExpr=u'$share.friendlyaddress')) # from line 346, col 89.
                write(u''')</td>
\t\t\t\t\t\t</tr>
''')
            write(u'''\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        for iface in VFFSL(SL,"ifaces",True): # generated from line 353, col 4
            write(u'''\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
            _v = VFFSL(SL,"tstrings",True)['network_interface'] # u"$tstrings['network_interface']" on line 358, col 49
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['network_interface']")) # from line 358, col 49.
            write(u''': ''')
            _v = VFFSL(SL,"iface.name",True) # u'$iface.name' on line 358, col 81
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.name')) # from line 358, col 81.
            write(u''' (''')
            _v = VFFSL(SL,"iface.friendlynic",True) # u'$iface.friendlynic' on line 358, col 94
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.friendlynic')) # from line 358, col 94.
            write(u''')</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
            _v = VFFSL(SL,"tstrings",True)['linkspeed'] # u"$tstrings['linkspeed']" on line 361, col 29
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['linkspeed']")) # from line 361, col 29.
            write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
            _v = VFFSL(SL,"iface.linkspeed",True) # u'$iface.linkspeed' on line 362, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.linkspeed')) # from line 362, col 30.
            write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
            _v = VFFSL(SL,"tstrings",True)['mac_address'] # u"$tstrings['mac_address']" on line 365, col 29
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['mac_address']")) # from line 365, col 29.
            write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
            _v = VFFSL(SL,"iface.mac",True) # u'$iface.mac' on line 366, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.mac')) # from line 366, col 30.
            write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
            _v = VFFSL(SL,"tstrings",True)['ipv6_address'] # u"$tstrings['ipv6_address']" on line 369, col 29
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ipv6_address']")) # from line 369, col 29.
            write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
            _v = VFFSL(SL,"iface.ipv6",True) # u'$iface.ipv6' on line 370, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipv6')) # from line 370, col 30.
            write(u''' (''')
            _v = VFFSL(SL,"iface.ipmethod",True) # u'$iface.ipmethod' on line 370, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipmethod')) # from line 370, col 43.
            write(u''')</td>
\t\t\t\t\t\t</tr>
''')
            if VFFSL(SL,"iface.ip",True) != "0.0.0.0": # generated from line 372, col 7
                write(u'''\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t<td class="infoleft">''')
                _v = VFFSL(SL,"tstrings",True)['ipv4_address'] # u"$tstrings['ipv4_address']" on line 374, col 30
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ipv4_address']")) # from line 374, col 30.
                write(u''':</td>
\t\t\t\t\t\t\t\t<td class="inforight">''')
                _v = VFFSL(SL,"iface.ip",True) # u'$iface.ip' on line 375, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.ip')) # from line 375, col 31.
                write(u'''/''')
                _v = VFFSL(SL,"iface.v4prefix",True) # u'$iface.v4prefix' on line 375, col 41
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.v4prefix')) # from line 375, col 41.
                write(u''' ''')
                _v = VFFSL(SL,"tstrings",True)['via'] # u"$tstrings['via']" on line 375, col 57
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['via']")) # from line 375, col 57.
                write(u''' ''')
                _v = VFFSL(SL,"iface.gw",True) # u'$iface.gw' on line 375, col 74
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.gw')) # from line 375, col 74.
                write(u''' (''')
                _v = VFFSL(SL,"iface.ipv4method",True) # u'$iface.ipv4method' on line 375, col 85
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipv4method')) # from line 375, col 85.
                write(u''')</td>
\t\t\t\t\t\t\t</tr>
''')
            write(u'''\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        write(u'''\t\t</table>
\t</div>
</div>\t
<!-- /box_info -->
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_boxinfo= 'respond'

## END CLASS DEFINITION

if not hasattr(boxinfo, '_initCheetahAttributes'):
    templateAPIClass = getattr(boxinfo, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(boxinfo)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=boxinfo()).run()


